MemoryMapArrayHeader Class Reference
Inheritance diagram for MemoryMapArrayHeader:
[legend]

## Public Member Functions

void | constructorClear ()
void | debugPrint (FILE *)
size_t | getHeaderSize (int i)
void | setApplication (const char *s)
void | setCreationUser (const char *s)
void | setCreationHost (const char *s)

## Public Attributes

uint32_t | typeCookie
uint32_t | typeVersion
uint32_t | contentCookie
uint32_t | contentVersion
size_t | headerSize
time_t | creationDate
char | creationUser [32]
char | creationHost [32]
char | application [32]
size_t | elementCount

## Detailed Description

Definition at line 64 of file MemoryMapArray.h.

## Member Function Documentation

## constructorClear()

void MemoryMapArrayHeader::constructorClear | ( |  | ) |

inline

Definition at line 67 of file MemoryMapArray.h.

{
memset(this, 0, sizeof(*this));
}

## debugPrint()

void MemoryMapArrayHeader::debugPrint | ( | FILE * | f | ) |

Definition at line 21 of file MemoryMapArray.cpp.

{
time_t local = creationDate;
fprintf(f, "typeCookie = %08x\n", typeCookie);
fprintf(f, "typeVersion = %08x\n", typeVersion);
fprintf(f, "contentCookie = %08x\n", contentCookie);
fprintf(f, "contentVersion = %08x\n", contentVersion);
fprintf(f, "Created on %s", asctime(localtime(&local)));
fprintf(f, "Created by user %s on host %s for application '%s'.\n",
creationUser,
creationHost,
application);
}

## getHeaderSize()

size_t MemoryMapArrayHeader::getHeaderSize | ( | int | i | ) |

inline

Definition at line 85 of file MemoryMapArray.h.

{
return sizeof(*this);
}

## setApplication()

void MemoryMapArrayHeader::setApplication | ( | const char * | s | ) |

inline

Definition at line 90 of file MemoryMapArray.h.

{
strncpy(application, s, sizeof(application)-1);
application[sizeof(application)-1] = '\0';
}

## setCreationHost()

void MemoryMapArrayHeader::setCreationHost | ( | const char * | s | ) |

inline

Definition at line 100 of file MemoryMapArray.h.

{
strncpy(creationHost, s, sizeof(creationHost)-1);
creationHost[sizeof(creationHost)-1] = '\0';
}

## setCreationUser()

void MemoryMapArrayHeader::setCreationUser | ( | const char * | s | ) |

inline

Definition at line 95 of file MemoryMapArray.h.

{
strncpy(creationUser, s, sizeof(creationUser)-1);
creationUser[sizeof(creationUser)-1] = '\0';
}

## Member Data Documentation

## application

char MemoryMapArrayHeader::application[32]

Definition at line 81 of file MemoryMapArray.h.

## contentCookie

uint32_t MemoryMapArrayHeader::contentCookie

Definition at line 73 of file MemoryMapArray.h.

## contentVersion

uint32_t MemoryMapArrayHeader::contentVersion

Definition at line 74 of file MemoryMapArray.h.

## creationDate

time_t MemoryMapArrayHeader::creationDate

Definition at line 78 of file MemoryMapArray.h.

## creationHost

char MemoryMapArrayHeader::creationHost[32]

Definition at line 80 of file MemoryMapArray.h.

## creationUser

char MemoryMapArrayHeader::creationUser[32]

Definition at line 79 of file MemoryMapArray.h.

## elementCount

size_t MemoryMapArrayHeader::elementCount

Definition at line 83 of file MemoryMapArray.h.

## headerSize

size_t MemoryMapArrayHeader::headerSize

Definition at line 75 of file MemoryMapArray.h.

## typeCookie

uint32_t MemoryMapArrayHeader::typeCookie

Definition at line 71 of file MemoryMapArray.h.

## typeVersion

uint32_t MemoryMapArrayHeader::typeVersion

Definition at line 72 of file MemoryMapArray.h.

The documentation for this class was generated from the following files:

- general/MemoryMapArray.h
- general/MemoryMapArray.cpp